Package org.kapott.hbci.manager

## Class MatrixCode

- java.lang.Object
- - org.kapott.hbci.manager.MatrixCode

    public class MatrixCode
    extends java.lang.Object

Klasse zum Parsen von Matrix-Codes.

### Constructor Summary

Constructors
`MatrixCode​(byte[] data)` ct.
`MatrixCode​(java.lang.String data)` ct.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`byte[]` `getImage()` Liefert die Rohdaten des Bildes.
`java.lang.String` `getMimetype()` Liefert den Mimetype des Bildes.
`static MatrixCode` `tryParse​(java.lang.String data)` Versucht den Text als Matrix-Code zu parsen.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MatrixCode

    public MatrixCode​(java.lang.String data)
               throws java.lang.Exception

ct.

Parameters:
  `data` - die Rohdaten aus dem HHDuc als String.
Throws:
  `java.lang.Exception` - wenn die Daten nicht als Bild geparst werden konnten.

#### MatrixCode

    public MatrixCode​(byte[] data)
               throws java.lang.Exception

ct.

Parameters:
  `data` - die Rohdaten aus dem HHDuc als Byte-Array.
Throws:
  `java.lang.Exception` - wenn die Daten nicht als Bild geparst werden konnten.

### Method Detail

#### tryParse

    public static MatrixCode tryParse​(java.lang.String data)

Versucht den Text als Matrix-Code zu parsen.

Parameters:
  `data` - die zu parsenden Daten.
Returns:
  der Matrix-Code, wenn er lesbar war, sonst NULL.

#### getImage

    public byte[] getImage()

Liefert die Rohdaten des Bildes.

Returns:
  image die Rohdaten des Bildes.

#### getMimetype

    public java.lang.String getMimetype()

Liefert den Mimetype des Bildes.

Returns:
  mimetype